%global packname  caTools

Name:             R-%{packname}
Version:          1.11
Release:          3%{dist}
Summary:          Tools: moving window statistics, gif, base64, roc auc...

Group:            Applications/Engineering 
License:          GPLv3
URL:              http://cran.r-project.org/web/packages/caTools/index.html
Source0:          http://cran.at.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
Requires:         R R-bitops 
BuildRequires:    R-devel tex(latex) R-bitops 

%description
Contains several basic utility functions including: moving (rolling,
running) window statistic functions, read/write for GIF and ENVI binary
files, fast calculation of AUC, LogitBoost classifier, base64
encoder/decoder, round-off error free sum and cumsum, etc.

%prep
%setup -q -c -n %{packname}
chmod -x %{packname}/src/*

%build

%install
rm -rf %{buildroot}



# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css



%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{_libdir}/R/library/caTools/DESCRIPTION
%doc %{_libdir}/R/library/caTools/html
%{_libdir}/R/library/caTools/R
%{_libdir}/R/library/caTools/libs
%{_libdir}/R/library/caTools/Meta
%{_libdir}/R/library/caTools/help
%{_libdir}/R/library/caTools/INDEX

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 1.11-2
- Fix URL
- Fix source0 which fix the build...

* Mon Dec 20 2010 pingou <pingou@pingoured.fr> 1.11-1
- Update to version 1.11

* Sat Jun 12 2010 pingou <pingou@pingoured.fr> 1.10-3
- Take over package
- Deplace the chmod to prep

* Sat May 08 2010 josef radinger <cheese@nosuchhost.net>
- 1.10-2
- fix buildrequires

* Fri Apr 09 2010 josef radinger <cheese@nosuchhost.net>
- 1.10-1
- initial release

